Method: networks.slates.batchUpdate

Batch updates Slate objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/slates:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where Slates will be updated. Format: networks/{networkCode} The parent field in the UpdateSlateRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateSlateRequest)
    }
  ]
}
Fields
requests[]

object (UpdateSlateRequest)

Required. The Slate objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for slates.batchUpdate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "slates": [
    {
      object (Slate)
    }
  ]
}
Fields
slates[]

object (Slate)

The Slate objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateSlateRequest

Request object for slates.patch method.

JSON representation
{
  "slate": {
    object (Slate)
  },
  "updateMask": string
}
Fields
slate

object (Slate)

Required. The Slate to update.

The Slate's name is used to identify the Slate to update.

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".